# Retrieve a job

`GET /v0/jobs/{job_id}`

Returns one commercially cleared job by UUIDv7. A previously published closed job keeps its ID, reports closed status and lifecycle timestamps, and has no actionable apply URL.

## Authentication

`bearerAuth` (http bearer) — Organisation API key supplied only through the Authorization header. Required scopes: `jobs:read`.

## Request

### cURL

```shell
curl --request GET \
  --url "https://api.luranta.com/v0/jobs/job_id" \
  --header "Authorization: Bearer $LURANTA_API_KEY" \
  --header "Accept: application/json"
```

### TypeScript

```ts
const url = new URL("https://api.luranta.com/v0/jobs/job_id")

const response = await fetch(url, {
  headers: {
    Authorization: `Bearer ${process.env.LURANTA_API_KEY}`,
  },
})

const result = await response.json()
```

### Python

```python
import os
import requests

response = requests.get(
    "https://api.luranta.com/v0/jobs/job_id",
    headers={"Authorization": f"Bearer {os.environ['LURANTA_API_KEY']}"},
    timeout=30,
)
response.raise_for_status()
result = response.json()
```

## Parameters

### `job_id`

`string<uuid>` · path · required

UUIDv7 identifier of a previously published job.

- Type: `string<uuid>`
  - Description: UUIDv7 identifier of a previously published job.
  - Format: `uuid`
  - Pattern: `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-7[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$`

## Responses

### 200

The requested job, including rights-cleared detail fields.

#### Headers

##### `Luranta-Cost-USD`

`string` · optional

Credit consumed as a USD decimal string. Present only on successful billable responses.

- Type: `string`
  - Pattern: `^(?:0|[1-9]\d*)\.\d{2,6}$`

##### `Luranta-Credit-Balance-USD`

`string` · optional

Organisation credit remaining after settlement. Present only on successful billable responses.

- Type: `string`
  - Pattern: `^(?:0|[1-9]\d*)\.\d{2,6}$`

##### `Luranta-Resources-Returned`

`integer` · optional

Number of resources returned and charged. Present only on successful billable responses.

- Type: `integer`
  - Minimum: `0`

##### `traceparent`

`string` · required

W3C trace context generated for this request attempt.

- Type: `string`
  - Pattern: `^00-[0-9a-f]{32}-[0-9a-f]{16}-[0-9a-f]{2}$`

##### `X-Request-Id`

`string<uuid>` · required

Unique UUIDv7 identifier for this request attempt.

- Type: `string<uuid>`
  - Format: `uuid`

#### application/json

- Type: `Job`
  - Component: [`Job`](/reference/schemas#Job)
  - Additional properties: `forbidden`
  - Properties:
    - `apply_url` (required):
      - Type: `string<uri> | null`
        - anyOf:
          - Type: `string<uri>`
            - Format: `uri`
            - Maximum length: `2048`
          - Type: `null`
    - `closed_at` (required):
      - Type: `string<date-time> | null`
        - anyOf:
          - Type: `string<date-time>`
            - Format: `date-time`
            - Pattern: `^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$`
          - Type: `null`
    - `company` (required):
      - Type: `object`
        - Additional properties: `forbidden`
        - Properties:
          - `id` (required):
            - Type: `string<uuid>`
              - Format: `uuid`
              - Pattern: `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-7[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$`
          - `name` (required):
            - Type: `string`
              - Maximum length: `240`
              - Minimum length: `1`
    - `compensation` (required):
      - Type: `object | null`
        - anyOf:
          - Type: `object`
            - Additional properties: `forbidden`
            - Properties:
              - `base_annual_maximum` (required):
                - Type: `number | null`
                  - anyOf:
                    - Type: `number`
                      - Minimum: `0`
                    - Type: `null`
              - `base_annual_minimum` (required):
                - Type: `number | null`
                  - anyOf:
                    - Type: `number`
                      - Minimum: `0`
                    - Type: `null`
              - `currency` (required):
                - Type: `string | null`
                  - anyOf:
                    - Type: `string`
                      - Pattern: `^[A-Z]{3}$`
                    - Type: `null`
              - `has_bonus` (required):
                - Type: `boolean`
              - `has_commission` (required):
                - Type: `boolean`
              - `has_equity` (required):
                - Type: `boolean`
              - `target_cash_annual_maximum` (required):
                - Type: `number | null`
                  - anyOf:
                    - Type: `number`
                      - Minimum: `0`
                    - Type: `null`
              - `target_cash_annual_minimum` (required):
                - Type: `number | null`
                  - anyOf:
                    - Type: `number`
                      - Minimum: `0`
                    - Type: `null`
          - Type: `null`
    - `compensationPackages` (required):
      - Type: `object[]`
        - Default: `[]`
        - Maximum items: `20`
        - Items:
          - Type: `object`
            - Additional properties: `forbidden`
            - Properties:
              - `baseAnnualCurrency` (required):
                - Type: `string | null`
                  - anyOf:
                    - Type: `string`
                      - Allowed values: `["AED","AFN","ALL","AMD","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BHD","BIF","BMD","BND","BOB","BRL","BSD","BTN","BWP","BYN","BZD","CAD","CDF","CHF","CLP","CNY","COP","CRC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","EUR","FJD","FKP","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRU","MUR","MVR","MWK","MXN","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SEK","SGD","SHP","SOS","SRD","SSP","STN","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","UYU","UZS","VES","VND","VUV","WST","XAF","XCD","XOF","XPF","YER","ZAR","ZMW","ZWG","BGN"]`
                    - Type: `null`
              - `baseAnnualMax` (required):
                - Type: `number | null`
                  - anyOf:
                    - Type: `number`
                      - Minimum: `0`
                    - Type: `null`
              - `baseAnnualMin` (required):
                - Type: `number | null`
                  - anyOf:
                    - Type: `number`
                      - Minimum: `0`
                    - Type: `null`
              - `baseAnnualUsdMax` (required):
                - Type: `number | null`
                  - anyOf:
                    - Type: `number`
                      - Minimum: `0`
                    - Type: `null`
              - `baseAnnualUsdMin` (required):
                - Type: `number | null`
                  - anyOf:
                    - Type: `number`
                      - Minimum: `0`
                    - Type: `null`
              - `components` (required):
                - Type: `object[]`
                  - Maximum items: `20`
                  - Minimum items: `1`
                  - Items:
                    - Type: `object`
                      - oneOf:
                        - Type: `object`
                          - Additional properties: `forbidden`
                          - Properties:
                            - `cadence` (required):
                              - Type: `string`
                                - Allowed values: `["recurring","one_time","unknown"]`
                            - `condition` (required):
                              - Type: `string`
                                - Allowed values: `["target","guaranteed","discretionary","maximum_only","unspecified"]`
                            - `currency` (required):
                              - Type: `string`
                                - Allowed values: `["AED","AFN","ALL","AMD","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BHD","BIF","BMD","BND","BOB","BRL","BSD","BTN","BWP","BYN","BZD","CAD","CDF","CHF","CLP","CNY","COP","CRC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","EUR","FJD","FKP","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRU","MUR","MVR","MWK","MXN","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SEK","SGD","SHP","SOS","SRD","SSP","STN","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","UYU","UZS","VES","VND","VUV","WST","XAF","XCD","XOF","XPF","YER","ZAR","ZMW","ZWG","BGN"]`
                            - `evidence` (required):
                              - Type: `string`
                                - Maximum length: `240`
                                - Minimum length: `1`
                            - `interval` (required):
                              - Type: `string`
                                - Allowed values: `["year","month","week","day","hour","none","unknown"]`
                            - `kind` (required):
                              - Type: `string`
                                - Allowed values: `["base_pay","ote","commission","cash_bonus","equity","employer_total"]`
                            - `max` (optional):
                              - Type: `number`
                                - Minimum: `0`
                            - `min` (optional):
                              - Type: `number`
                                - Minimum: `0`
                            - `valueType` (required):
                              - Type: `string`
                                - Constant: `money`
                        - Type: `object`
                          - Additional properties: `forbidden`
                          - Properties:
                            - `cadence` (required):
                              - Type: `string`
                                - Allowed values: `["recurring","one_time","unknown"]`
                            - `condition` (required):
                              - Type: `string`
                                - Allowed values: `["target","guaranteed","discretionary","maximum_only","unspecified"]`
                            - `evidence` (required):
                              - Type: `string`
                                - Maximum length: `240`
                                - Minimum length: `1`
                            - `interval` (required):
                              - Type: `string`
                                - Allowed values: `["year","month","week","day","hour","none","unknown"]`
                            - `kind` (required):
                              - Type: `string`
                                - Allowed values: `["base_pay","ote","commission","cash_bonus","equity","employer_total"]`
                            - `max` (optional):
                              - Type: `number`
                                - Maximum: `1000`
                                - Minimum: `0`
                            - `min` (optional):
                              - Type: `number`
                                - Maximum: `1000`
                                - Minimum: `0`
                            - `valueType` (required):
                              - Type: `string`
                                - Constant: `percentage`
                        - Type: `object`
                          - Additional properties: `forbidden`
                          - Properties:
                            - `cadence` (required):
                              - Type: `string`
                                - Allowed values: `["recurring","one_time","unknown"]`
                            - `condition` (required):
                              - Type: `string`
                                - Allowed values: `["target","guaranteed","discretionary","maximum_only","unspecified"]`
                            - `evidence` (required):
                              - Type: `string`
                                - Maximum length: `240`
                                - Minimum length: `1`
                            - `interval` (required):
                              - Type: `string`
                                - Allowed values: `["year","month","week","day","hour","none","unknown"]`
                            - `kind` (required):
                              - Type: `string`
                                - Allowed values: `["base_pay","ote","commission","cash_bonus","equity","employer_total"]`
                            - `max` (optional):
                              - Type: `number`
                                - Minimum: `0`
                            - `min` (optional):
                              - Type: `number`
                                - Minimum: `0`
                            - `unit` (required):
                              - Type: `string`
                                - Maximum length: `40`
                                - Minimum length: `1`
                            - `valueType` (required):
                              - Type: `string`
                                - Constant: `units`
                        - Type: `object`
                          - Additional properties: `forbidden`
                          - Properties:
                            - `cadence` (required):
                              - Type: `string`
                                - Allowed values: `["recurring","one_time","unknown"]`
                            - `condition` (required):
                              - Type: `string`
                                - Allowed values: `["target","guaranteed","discretionary","maximum_only","unspecified"]`
                            - `evidence` (required):
                              - Type: `string`
                                - Maximum length: `240`
                                - Minimum length: `1`
                            - `interval` (required):
                              - Type: `string`
                                - Allowed values: `["year","month","week","day","hour","none","unknown"]`
                            - `kind` (required):
                              - Type: `string`
                                - Allowed values: `["base_pay","ote","commission","cash_bonus","equity","employer_total"]`
                            - `valueType` (required):
                              - Type: `string`
                                - Constant: `disclosure`
              - `evidence` (required):
                - Type: `string`
                  - Maximum length: `240`
                  - Minimum length: `1`
              - `fxObservedAt` (required):
                - Type: `string<date-time> | null`
                  - anyOf:
                    - Type: `string<date-time>`
                      - Format: `date-time`
                      - Pattern: `^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$`
                    - Type: `null`
              - `hasBonus` (required):
                - Type: `boolean`
              - `hasCommission` (required):
                - Type: `boolean`
              - `hasEquity` (required):
                - Type: `boolean`
              - `scope` (required):
                - Type: `object`
                  - Default: `{"kind":"unspecified"}`
                  - oneOf:
                    - Type: `object`
                      - Additional properties: `forbidden`
                      - Properties:
                        - `kind` (required):
                          - Type: `string`
                            - Constant: `global`
                    - Type: `object`
                      - Additional properties: `forbidden`
                      - Properties:
                        - `countryCode` (required):
                          - Type: `string`
                            - Allowed values: `["AD","AE","AF","AG","AI","AL","AM","AO","AQ","AR","AS","AT","AU","AW","AX","AZ","BA","BB","BD","BE","BF","BG","BH","BI","BJ","BL","BM","BN","BO","BQ","BR","BS","BT","BV","BW","BY","BZ","CA","CC","CD","CF","CG","CH","CI","CK","CL","CM","CN","CO","CR","CU","CV","CW","CX","CY","CZ","DE","DJ","DK","DM","DO","DZ","EC","EE","EG","EH","ER","ES","ET","FI","FJ","FK","FM","FO","FR","GA","GB","GD","GE","GF","GG","GH","GI","GL","GM","GN","GP","GQ","GR","GS","GT","GU","GW","GY","HK","HM","HN","HR","HT","HU","ID","IE","IL","IM","IN","IO","IQ","IR","IS","IT","JE","JM","JO","JP","KE","KG","KH","KI","KM","KN","KP","KR","KW","KY","KZ","LA","LB","LC","LI","LK","LR","LS","LT","LU","LV","LY","MA","MC","MD","ME","MF","MG","MH","MK","ML","MM","MN","MO","MP","MQ","MR","MS","MT","MU","MV","MW","MX","MY","MZ","NA","NC","NE","NF","NG","NI","NL","NO","NP","NR","NU","NZ","OM","PA","PE","PF","PG","PH","PK","PL","PM","PN","PR","PS","PT","PW","PY","QA","RE","RO","RS","RU","RW","SA","SB","SC","SD","SE","SG","SH","SI","SJ","SK","SL","SM","SN","SO","SR","SS","ST","SV","SX","SY","SZ","TC","TD","TF","TG","TH","TJ","TK","TL","TM","TN","TO","TR","TT","TV","TW","TZ","UA","UG","UM","US","UY","UZ","VA","VC","VE","VG","VI","VN","VU","WF","WS","YE","YT","ZA","ZM","ZW"]`
                        - `kind` (required):
                          - Type: `string`
                            - Constant: `country`
                    - Type: `object`
                      - Additional properties: `forbidden`
                      - Properties:
                        - `adminAreaCode` (required):
                          - Type: `string`
                            - Pattern: `^[A-Z]{2}\.[A-Z0-9-]{1,12}$`
                        - `kind` (required):
                          - Type: `string`
                            - Constant: `admin`
                    - Type: `object`
                      - Additional properties: `forbidden`
                      - Properties:
                        - `kind` (required):
                          - Type: `string`
                            - Constant: `metro`
                        - `metroId` (required):
                          - Type: `string`
                            - Pattern: `^metro:[A-Za-z0-9][A-Za-z0-9._:-]{0,239}$`
                    - Type: `object`
                      - Additional properties: `forbidden`
                      - Properties:
                        - `kind` (required):
                          - Type: `string`
                            - Constant: `place`
                        - `placeId` (required):
                          - Type: `integer`
                            - Exclusive minimum: `0`
                            - Maximum: `9007199254740991`
                    - Type: `object`
                      - Additional properties: `forbidden`
                      - Properties:
                        - `kind` (required):
                          - Type: `string`
                            - Constant: `unspecified`
              - `source` (required):
                - Type: `string`
                  - Allowed values: `["employer_feed","greenhouse_pay_transparency","structured_data","description"]`
              - `targetCashAnnualCurrency` (required):
                - Type: `string | null`
                  - anyOf:
                    - Type: `string`
                      - Allowed values: `["AED","AFN","ALL","AMD","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BHD","BIF","BMD","BND","BOB","BRL","BSD","BTN","BWP","BYN","BZD","CAD","CDF","CHF","CLP","CNY","COP","CRC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","EUR","FJD","FKP","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRU","MUR","MVR","MWK","MXN","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SEK","SGD","SHP","SOS","SRD","SSP","STN","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","UYU","UZS","VES","VND","VUV","WST","XAF","XCD","XOF","XPF","YER","ZAR","ZMW","ZWG","BGN"]`
                    - Type: `null`
              - `targetCashAnnualMax` (required):
                - Type: `number | null`
                  - anyOf:
                    - Type: `number`
                      - Minimum: `0`
                    - Type: `null`
              - `targetCashAnnualMin` (required):
                - Type: `number | null`
                  - anyOf:
                    - Type: `number`
                      - Minimum: `0`
                    - Type: `null`
              - `targetCashAnnualUsdMax` (required):
                - Type: `number | null`
                  - anyOf:
                    - Type: `number`
                      - Minimum: `0`
                    - Type: `null`
              - `targetCashAnnualUsdMin` (required):
                - Type: `number | null`
                  - anyOf:
                    - Type: `number`
                      - Minimum: `0`
                    - Type: `null`
    - `compensationSelectionReason` (required):
      - Type: `string`
        - Allowed values: `["unique","global","location_match","location_dependent","none"]`
        - Default: `none`
    - `description_markdown` (required):
      - Type: `string | null`
        - anyOf:
          - Type: `string`
            - Maximum length: `500000`
          - Type: `null`
    - `engagements` (required):
      - Type: `string[]`
        - Maximum items: `7`
        - Items:
          - Type: `string`
            - Allowed values: `["permanent","fixed-term","contract-freelance","temporary-seasonal-casual","internship","apprenticeship","volunteer"]`
    - `experience` (required):
      - Type: `object`
        - Additional properties: `forbidden`
        - Properties:
          - `maximum_years` (required):
            - Type: `integer | null`
              - anyOf:
                - Type: `integer`
                  - Maximum: `80`
                  - Minimum: `0`
                - Type: `null`
          - `minimum_years` (required):
            - Type: `integer | null`
              - anyOf:
                - Type: `integer`
                  - Maximum: `80`
                  - Minimum: `0`
                - Type: `null`
          - `unstated` (required):
            - Type: `boolean`
    - `first_seen_at` (required):
      - Type: `string<date-time>`
        - Format: `date-time`
        - Pattern: `^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$`
    - `id` (required):
      - Type: `string<uuid>`
        - Format: `uuid`
        - Pattern: `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-7[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$`
    - `languages` (required):
      - Type: `string[]`
        - Maximum items: `50`
        - Items:
          - Type: `string`
            - Maximum length: `35`
            - Minimum length: `2`
    - `last_seen_at` (required):
      - Type: `string<date-time>`
        - Format: `date-time`
        - Pattern: `^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$`
    - `listing_language` (required):
      - Type: `string | null`
        - anyOf:
          - Type: `string`
            - Maximum length: `35`
            - Minimum length: `2`
          - Type: `null`
    - `locationDisclosures` (required):
      - Type: `object[]`
        - Default: `[]`
        - Maximum items: `50`
        - Items:
          - Type: `object`
            - Additional properties: `forbidden`
            - Properties:
              - `label` (required):
                - Type: `string`
                  - Maximum length: `240`
                  - Minimum length: `1`
              - `purpose` (required):
                - Type: `string`
                  - Allowed values: `["workplace","applicant_eligibility","unspecified"]`
              - `reason` (required):
                - Type: `string | null`
                  - anyOf:
                    - Type: `string`
                      - Maximum length: `80`
                      - Minimum length: `1`
                    - Type: `null`
              - `status` (required):
                - Type: `string`
                  - Allowed values: `["resolved","stated_unresolved","conflict"]`
    - `locations` (required):
      - Type: `object[]`
        - Maximum items: `50`
        - Items:
          - Type: `object`
            - Additional properties: `forbidden`
            - Properties:
              - `code` (required):
                - Type: `string`
                  - Maximum length: `180`
                  - Minimum length: `1`
              - `country` (required):
                - Type: `string | null`
                  - anyOf:
                    - Type: `string`
                      - Pattern: `^[A-Z]{2}$`
                    - Type: `null`
              - `label` (required):
                - Type: `string`
                  - Maximum length: `240`
                  - Minimum length: `1`
    - `locationState` (required):
      - Type: `string`
        - Allowed values: `["resolved","stated_unresolved","unstated","conflict"]`
        - Default: `unstated`
    - `object` (required):
      - Type: `string`
        - Constant: `job`
    - `primaryCompensationPackage` (required):
      - Type: `object | null`
        - Default: `null`
        - anyOf:
          - Type: `object`
            - Additional properties: `forbidden`
            - Properties:
              - `baseAnnualCurrency` (required):
                - Type: `string | null`
                  - anyOf:
                    - Type: `string`
                      - Allowed values: `["AED","AFN","ALL","AMD","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BHD","BIF","BMD","BND","BOB","BRL","BSD","BTN","BWP","BYN","BZD","CAD","CDF","CHF","CLP","CNY","COP","CRC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","EUR","FJD","FKP","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRU","MUR","MVR","MWK","MXN","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SEK","SGD","SHP","SOS","SRD","SSP","STN","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","UYU","UZS","VES","VND","VUV","WST","XAF","XCD","XOF","XPF","YER","ZAR","ZMW","ZWG","BGN"]`
                    - Type: `null`
              - `baseAnnualMax` (required):
                - Type: `number | null`
                  - anyOf:
                    - Type: `number`
                      - Minimum: `0`
                    - Type: `null`
              - `baseAnnualMin` (required):
                - Type: `number | null`
                  - anyOf:
                    - Type: `number`
                      - Minimum: `0`
                    - Type: `null`
              - `baseAnnualUsdMax` (required):
                - Type: `number | null`
                  - anyOf:
                    - Type: `number`
                      - Minimum: `0`
                    - Type: `null`
              - `baseAnnualUsdMin` (required):
                - Type: `number | null`
                  - anyOf:
                    - Type: `number`
                      - Minimum: `0`
                    - Type: `null`
              - `components` (required):
                - Type: `object[]`
                  - Maximum items: `20`
                  - Minimum items: `1`
                  - Items:
                    - Type: `object`
                      - oneOf:
                        - Type: `object`
                          - Additional properties: `forbidden`
                          - Properties:
                            - `cadence` (required):
                              - Type: `string`
                                - Allowed values: `["recurring","one_time","unknown"]`
                            - `condition` (required):
                              - Type: `string`
                                - Allowed values: `["target","guaranteed","discretionary","maximum_only","unspecified"]`
                            - `currency` (required):
                              - Type: `string`
                                - Allowed values: `["AED","AFN","ALL","AMD","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BHD","BIF","BMD","BND","BOB","BRL","BSD","BTN","BWP","BYN","BZD","CAD","CDF","CHF","CLP","CNY","COP","CRC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","EUR","FJD","FKP","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRU","MUR","MVR","MWK","MXN","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SEK","SGD","SHP","SOS","SRD","SSP","STN","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","UYU","UZS","VES","VND","VUV","WST","XAF","XCD","XOF","XPF","YER","ZAR","ZMW","ZWG","BGN"]`
                            - `evidence` (required):
                              - Type: `string`
                                - Maximum length: `240`
                                - Minimum length: `1`
                            - `interval` (required):
                              - Type: `string`
                                - Allowed values: `["year","month","week","day","hour","none","unknown"]`
                            - `kind` (required):
                              - Type: `string`
                                - Allowed values: `["base_pay","ote","commission","cash_bonus","equity","employer_total"]`
                            - `max` (optional):
                              - Type: `number`
                                - Minimum: `0`
                            - `min` (optional):
                              - Type: `number`
                                - Minimum: `0`
                            - `valueType` (required):
                              - Type: `string`
                                - Constant: `money`
                        - Type: `object`
                          - Additional properties: `forbidden`
                          - Properties:
                            - `cadence` (required):
                              - Type: `string`
                                - Allowed values: `["recurring","one_time","unknown"]`
                            - `condition` (required):
                              - Type: `string`
                                - Allowed values: `["target","guaranteed","discretionary","maximum_only","unspecified"]`
                            - `evidence` (required):
                              - Type: `string`
                                - Maximum length: `240`
                                - Minimum length: `1`
                            - `interval` (required):
                              - Type: `string`
                                - Allowed values: `["year","month","week","day","hour","none","unknown"]`
                            - `kind` (required):
                              - Type: `string`
                                - Allowed values: `["base_pay","ote","commission","cash_bonus","equity","employer_total"]`
                            - `max` (optional):
                              - Type: `number`
                                - Maximum: `1000`
                                - Minimum: `0`
                            - `min` (optional):
                              - Type: `number`
                                - Maximum: `1000`
                                - Minimum: `0`
                            - `valueType` (required):
                              - Type: `string`
                                - Constant: `percentage`
                        - Type: `object`
                          - Additional properties: `forbidden`
                          - Properties:
                            - `cadence` (required):
                              - Type: `string`
                                - Allowed values: `["recurring","one_time","unknown"]`
                            - `condition` (required):
                              - Type: `string`
                                - Allowed values: `["target","guaranteed","discretionary","maximum_only","unspecified"]`
                            - `evidence` (required):
                              - Type: `string`
                                - Maximum length: `240`
                                - Minimum length: `1`
                            - `interval` (required):
                              - Type: `string`
                                - Allowed values: `["year","month","week","day","hour","none","unknown"]`
                            - `kind` (required):
                              - Type: `string`
                                - Allowed values: `["base_pay","ote","commission","cash_bonus","equity","employer_total"]`
                            - `max` (optional):
                              - Type: `number`
                                - Minimum: `0`
                            - `min` (optional):
                              - Type: `number`
                                - Minimum: `0`
                            - `unit` (required):
                              - Type: `string`
                                - Maximum length: `40`
                                - Minimum length: `1`
                            - `valueType` (required):
                              - Type: `string`
                                - Constant: `units`
                        - Type: `object`
                          - Additional properties: `forbidden`
                          - Properties:
                            - `cadence` (required):
                              - Type: `string`
                                - Allowed values: `["recurring","one_time","unknown"]`
                            - `condition` (required):
                              - Type: `string`
                                - Allowed values: `["target","guaranteed","discretionary","maximum_only","unspecified"]`
                            - `evidence` (required):
                              - Type: `string`
                                - Maximum length: `240`
                                - Minimum length: `1`
                            - `interval` (required):
                              - Type: `string`
                                - Allowed values: `["year","month","week","day","hour","none","unknown"]`
                            - `kind` (required):
                              - Type: `string`
                                - Allowed values: `["base_pay","ote","commission","cash_bonus","equity","employer_total"]`
                            - `valueType` (required):
                              - Type: `string`
                                - Constant: `disclosure`
              - `evidence` (required):
                - Type: `string`
                  - Maximum length: `240`
                  - Minimum length: `1`
              - `fxObservedAt` (required):
                - Type: `string<date-time> | null`
                  - anyOf:
                    - Type: `string<date-time>`
                      - Format: `date-time`
                      - Pattern: `^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$`
                    - Type: `null`
              - `hasBonus` (required):
                - Type: `boolean`
              - `hasCommission` (required):
                - Type: `boolean`
              - `hasEquity` (required):
                - Type: `boolean`
              - `scope` (required):
                - Type: `object`
                  - Default: `{"kind":"unspecified"}`
                  - oneOf:
                    - Type: `object`
                      - Additional properties: `forbidden`
                      - Properties:
                        - `kind` (required):
                          - Type: `string`
                            - Constant: `global`
                    - Type: `object`
                      - Additional properties: `forbidden`
                      - Properties:
                        - `countryCode` (required):
                          - Type: `string`
                            - Allowed values: `["AD","AE","AF","AG","AI","AL","AM","AO","AQ","AR","AS","AT","AU","AW","AX","AZ","BA","BB","BD","BE","BF","BG","BH","BI","BJ","BL","BM","BN","BO","BQ","BR","BS","BT","BV","BW","BY","BZ","CA","CC","CD","CF","CG","CH","CI","CK","CL","CM","CN","CO","CR","CU","CV","CW","CX","CY","CZ","DE","DJ","DK","DM","DO","DZ","EC","EE","EG","EH","ER","ES","ET","FI","FJ","FK","FM","FO","FR","GA","GB","GD","GE","GF","GG","GH","GI","GL","GM","GN","GP","GQ","GR","GS","GT","GU","GW","GY","HK","HM","HN","HR","HT","HU","ID","IE","IL","IM","IN","IO","IQ","IR","IS","IT","JE","JM","JO","JP","KE","KG","KH","KI","KM","KN","KP","KR","KW","KY","KZ","LA","LB","LC","LI","LK","LR","LS","LT","LU","LV","LY","MA","MC","MD","ME","MF","MG","MH","MK","ML","MM","MN","MO","MP","MQ","MR","MS","MT","MU","MV","MW","MX","MY","MZ","NA","NC","NE","NF","NG","NI","NL","NO","NP","NR","NU","NZ","OM","PA","PE","PF","PG","PH","PK","PL","PM","PN","PR","PS","PT","PW","PY","QA","RE","RO","RS","RU","RW","SA","SB","SC","SD","SE","SG","SH","SI","SJ","SK","SL","SM","SN","SO","SR","SS","ST","SV","SX","SY","SZ","TC","TD","TF","TG","TH","TJ","TK","TL","TM","TN","TO","TR","TT","TV","TW","TZ","UA","UG","UM","US","UY","UZ","VA","VC","VE","VG","VI","VN","VU","WF","WS","YE","YT","ZA","ZM","ZW"]`
                        - `kind` (required):
                          - Type: `string`
                            - Constant: `country`
                    - Type: `object`
                      - Additional properties: `forbidden`
                      - Properties:
                        - `adminAreaCode` (required):
                          - Type: `string`
                            - Pattern: `^[A-Z]{2}\.[A-Z0-9-]{1,12}$`
                        - `kind` (required):
                          - Type: `string`
                            - Constant: `admin`
                    - Type: `object`
                      - Additional properties: `forbidden`
                      - Properties:
                        - `kind` (required):
                          - Type: `string`
                            - Constant: `metro`
                        - `metroId` (required):
                          - Type: `string`
                            - Pattern: `^metro:[A-Za-z0-9][A-Za-z0-9._:-]{0,239}$`
                    - Type: `object`
                      - Additional properties: `forbidden`
                      - Properties:
                        - `kind` (required):
                          - Type: `string`
                            - Constant: `place`
                        - `placeId` (required):
                          - Type: `integer`
                            - Exclusive minimum: `0`
                            - Maximum: `9007199254740991`
                    - Type: `object`
                      - Additional properties: `forbidden`
                      - Properties:
                        - `kind` (required):
                          - Type: `string`
                            - Constant: `unspecified`
              - `source` (required):
                - Type: `string`
                  - Allowed values: `["employer_feed","greenhouse_pay_transparency","structured_data","description"]`
              - `targetCashAnnualCurrency` (required):
                - Type: `string | null`
                  - anyOf:
                    - Type: `string`
                      - Allowed values: `["AED","AFN","ALL","AMD","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BHD","BIF","BMD","BND","BOB","BRL","BSD","BTN","BWP","BYN","BZD","CAD","CDF","CHF","CLP","CNY","COP","CRC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","EUR","FJD","FKP","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRU","MUR","MVR","MWK","MXN","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SEK","SGD","SHP","SOS","SRD","SSP","STN","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","UYU","UZS","VES","VND","VUV","WST","XAF","XCD","XOF","XPF","YER","ZAR","ZMW","ZWG","BGN"]`
                    - Type: `null`
              - `targetCashAnnualMax` (required):
                - Type: `number | null`
                  - anyOf:
                    - Type: `number`
                      - Minimum: `0`
                    - Type: `null`
              - `targetCashAnnualMin` (required):
                - Type: `number | null`
                  - anyOf:
                    - Type: `number`
                      - Minimum: `0`
                    - Type: `null`
              - `targetCashAnnualUsdMax` (required):
                - Type: `number | null`
                  - anyOf:
                    - Type: `number`
                      - Minimum: `0`
                    - Type: `null`
              - `targetCashAnnualUsdMin` (required):
                - Type: `number | null`
                  - anyOf:
                    - Type: `number`
                      - Minimum: `0`
                    - Type: `null`
          - Type: `null`
    - `published_at` (required):
      - Type: `string<date-time> | null`
        - anyOf:
          - Type: `string<date-time>`
            - Format: `date-time`
            - Pattern: `^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$`
          - Type: `null`
    - `roles` (required):
      - Type: `string[]`
        - Maximum items: `20`
        - Items:
          - Type: `string`
            - Maximum length: `160`
            - Minimum length: `1`
            - Pattern: `^[a-z0-9]+(?:[-_.][a-z0-9]+)*$`
    - `schedules` (required):
      - Type: `string[]`
        - Maximum items: `2`
        - Items:
          - Type: `string`
            - Allowed values: `["full-time","part-time"]`
    - `source_updated_at` (required):
      - Type: `string<date-time> | null`
        - anyOf:
          - Type: `string<date-time>`
            - Format: `date-time`
            - Pattern: `^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$`
          - Type: `null`
    - `source_url` (required):
      - Type: `string<uri> | null`
        - anyOf:
          - Type: `string<uri>`
            - Format: `uri`
            - Maximum length: `2048`
          - Type: `null`
    - `status` (required):
      - Type: `string`
        - Allowed values: `["open","closed"]`
    - `title` (required):
      - Type: `string`
        - Maximum length: `300`
        - Minimum length: `1`
    - `tools` (required):
      - Type: `string[]`
        - Maximum items: `100`
        - Items:
          - Type: `string`
            - Maximum length: `160`
            - Minimum length: `1`
            - Pattern: `^[a-z0-9]+(?:[-_.][a-z0-9]+)*$`
    - `valid_through` (required):
      - Type: `string<date-time> | null`
        - anyOf:
          - Type: `string<date-time>`
            - Format: `date-time`
            - Pattern: `^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$`
          - Type: `null`
    - `visa_sponsorship` (required):
      - Type: `string | null`
        - anyOf:
          - Type: `string`
            - Allowed values: `["available","unavailable"]`
          - Type: `null`
    - `work_arrangements` (required):
      - Type: `string[]`
        - Maximum items: `3`
        - Items:
          - Type: `string`
            - Allowed values: `["on_site","hybrid","remote"]`

### 400

The request contains an invalid parameter, parameter combination, or cursor.

This response uses [Problem Details](/reference/problem-details).

#### Headers

##### `traceparent`

`string` · required

W3C trace context generated for this request attempt.

- Type: `string`
  - Pattern: `^00-[0-9a-f]{32}-[0-9a-f]{16}-[0-9a-f]{2}$`

##### `X-Request-Id`

`string<uuid>` · required

Unique UUIDv7 identifier for this request attempt.

- Type: `string<uuid>`
  - Format: `uuid`

#### application/problem+json

Errors follow [Problem Details](/reference/problem-details).

- Type: `ProblemDetails`
  - Component: [`ProblemDetails`](/reference/problem-details)
  - Additional properties: `forbidden`
  - Properties:
    - `available_credit_usd` (optional):
      - Type: `string`
        - Pattern: `^(?:0|[1-9]\d*)\.\d{2,6}$`
    - `code` (required):
      - Type: `string`
        - Maximum length: `80`
        - Minimum length: `1`
    - `detail` (required):
      - Type: `string`
        - Maximum length: `1000`
        - Minimum length: `1`
    - `errors` (optional):
      - Type: `object[]`
        - Maximum items: `100`
        - Items:
          - Type: `object`
            - Additional properties: `forbidden`
            - Properties:
              - `code` (required):
                - Type: `string`
                  - Maximum length: `80`
                  - Minimum length: `1`
              - `message` (required):
                - Type: `string`
                  - Maximum length: `500`
                  - Minimum length: `1`
              - `pointer` (required):
                - Type: `string`
                  - Pattern: `^\/.*`
    - `instance` (required):
      - Type: `string`
        - Pattern: `^\/.*`
    - `param` (optional):
      - Type: `string`
        - Maximum length: `160`
        - Minimum length: `1`
    - `request_id` (required):
      - Type: `string<uuid>`
        - Format: `uuid`
        - Pattern: `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-7[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$`
    - `required_credit_usd` (optional):
      - Type: `string`
        - Pattern: `^(?:0|[1-9]\d*)\.\d{2,6}$`
    - `retryable` (required):
      - Type: `boolean`
    - `status` (required):
      - Type: `integer`
        - Maximum: `599`
        - Minimum: `400`
    - `title` (required):
      - Type: `string`
        - Maximum length: `120`
        - Minimum length: `1`
    - `top_up_url` (optional):
      - Type: `string<uri>`
        - Format: `uri`
        - Maximum length: `2048`
    - `type` (required):
      - Type: `string<uri>`
        - Format: `uri`
        - Maximum length: `2048`

### 401

The organisation API key is missing, invalid, expired, or revoked.

This response uses [Problem Details](/reference/problem-details).

#### Headers

##### `traceparent`

`string` · required

W3C trace context generated for this request attempt.

- Type: `string`
  - Pattern: `^00-[0-9a-f]{32}-[0-9a-f]{16}-[0-9a-f]{2}$`

##### `X-Request-Id`

`string<uuid>` · required

Unique UUIDv7 identifier for this request attempt.

- Type: `string<uuid>`
  - Format: `uuid`

#### application/problem+json

Errors follow [Problem Details](/reference/problem-details).

- Type: `ProblemDetails`
  - Component: [`ProblemDetails`](/reference/problem-details)
  - Additional properties: `forbidden`
  - Properties:
    - `available_credit_usd` (optional):
      - Type: `string`
        - Pattern: `^(?:0|[1-9]\d*)\.\d{2,6}$`
    - `code` (required):
      - Type: `string`
        - Maximum length: `80`
        - Minimum length: `1`
    - `detail` (required):
      - Type: `string`
        - Maximum length: `1000`
        - Minimum length: `1`
    - `errors` (optional):
      - Type: `object[]`
        - Maximum items: `100`
        - Items:
          - Type: `object`
            - Additional properties: `forbidden`
            - Properties:
              - `code` (required):
                - Type: `string`
                  - Maximum length: `80`
                  - Minimum length: `1`
              - `message` (required):
                - Type: `string`
                  - Maximum length: `500`
                  - Minimum length: `1`
              - `pointer` (required):
                - Type: `string`
                  - Pattern: `^\/.*`
    - `instance` (required):
      - Type: `string`
        - Pattern: `^\/.*`
    - `param` (optional):
      - Type: `string`
        - Maximum length: `160`
        - Minimum length: `1`
    - `request_id` (required):
      - Type: `string<uuid>`
        - Format: `uuid`
        - Pattern: `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-7[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$`
    - `required_credit_usd` (optional):
      - Type: `string`
        - Pattern: `^(?:0|[1-9]\d*)\.\d{2,6}$`
    - `retryable` (required):
      - Type: `boolean`
    - `status` (required):
      - Type: `integer`
        - Maximum: `599`
        - Minimum: `400`
    - `title` (required):
      - Type: `string`
        - Maximum length: `120`
        - Minimum length: `1`
    - `top_up_url` (optional):
      - Type: `string<uri>`
        - Format: `uri`
        - Maximum length: `2048`
    - `type` (required):
      - Type: `string<uri>`
        - Format: `uri`
        - Maximum length: `2048`

### 402

The organisation does not have enough credit to reserve this operation.

This response uses [Problem Details](/reference/problem-details).

#### Headers

##### `traceparent`

`string` · required

W3C trace context generated for this request attempt.

- Type: `string`
  - Pattern: `^00-[0-9a-f]{32}-[0-9a-f]{16}-[0-9a-f]{2}$`

##### `X-Request-Id`

`string<uuid>` · required

Unique UUIDv7 identifier for this request attempt.

- Type: `string<uuid>`
  - Format: `uuid`

#### application/problem+json

Errors follow [Problem Details](/reference/problem-details).

- Type: `ProblemDetails`
  - Component: [`ProblemDetails`](/reference/problem-details)
  - Additional properties: `forbidden`
  - Properties:
    - `available_credit_usd` (optional):
      - Type: `string`
        - Pattern: `^(?:0|[1-9]\d*)\.\d{2,6}$`
    - `code` (required):
      - Type: `string`
        - Maximum length: `80`
        - Minimum length: `1`
    - `detail` (required):
      - Type: `string`
        - Maximum length: `1000`
        - Minimum length: `1`
    - `errors` (optional):
      - Type: `object[]`
        - Maximum items: `100`
        - Items:
          - Type: `object`
            - Additional properties: `forbidden`
            - Properties:
              - `code` (required):
                - Type: `string`
                  - Maximum length: `80`
                  - Minimum length: `1`
              - `message` (required):
                - Type: `string`
                  - Maximum length: `500`
                  - Minimum length: `1`
              - `pointer` (required):
                - Type: `string`
                  - Pattern: `^\/.*`
    - `instance` (required):
      - Type: `string`
        - Pattern: `^\/.*`
    - `param` (optional):
      - Type: `string`
        - Maximum length: `160`
        - Minimum length: `1`
    - `request_id` (required):
      - Type: `string<uuid>`
        - Format: `uuid`
        - Pattern: `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-7[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$`
    - `required_credit_usd` (optional):
      - Type: `string`
        - Pattern: `^(?:0|[1-9]\d*)\.\d{2,6}$`
    - `retryable` (required):
      - Type: `boolean`
    - `status` (required):
      - Type: `integer`
        - Maximum: `599`
        - Minimum: `400`
    - `title` (required):
      - Type: `string`
        - Maximum length: `120`
        - Minimum length: `1`
    - `top_up_url` (optional):
      - Type: `string<uri>`
        - Format: `uri`
        - Maximum length: `2048`
    - `type` (required):
      - Type: `string<uri>`
        - Format: `uri`
        - Maximum length: `2048`

### 403

The authenticated organisation lacks the required scope, or the browser origin is not allowed.

This response uses [Problem Details](/reference/problem-details).

#### Headers

##### `traceparent`

`string` · required

W3C trace context generated for this request attempt.

- Type: `string`
  - Pattern: `^00-[0-9a-f]{32}-[0-9a-f]{16}-[0-9a-f]{2}$`

##### `X-Request-Id`

`string<uuid>` · required

Unique UUIDv7 identifier for this request attempt.

- Type: `string<uuid>`
  - Format: `uuid`

#### application/problem+json

Errors follow [Problem Details](/reference/problem-details).

- Type: `ProblemDetails`
  - Component: [`ProblemDetails`](/reference/problem-details)
  - Additional properties: `forbidden`
  - Properties:
    - `available_credit_usd` (optional):
      - Type: `string`
        - Pattern: `^(?:0|[1-9]\d*)\.\d{2,6}$`
    - `code` (required):
      - Type: `string`
        - Maximum length: `80`
        - Minimum length: `1`
    - `detail` (required):
      - Type: `string`
        - Maximum length: `1000`
        - Minimum length: `1`
    - `errors` (optional):
      - Type: `object[]`
        - Maximum items: `100`
        - Items:
          - Type: `object`
            - Additional properties: `forbidden`
            - Properties:
              - `code` (required):
                - Type: `string`
                  - Maximum length: `80`
                  - Minimum length: `1`
              - `message` (required):
                - Type: `string`
                  - Maximum length: `500`
                  - Minimum length: `1`
              - `pointer` (required):
                - Type: `string`
                  - Pattern: `^\/.*`
    - `instance` (required):
      - Type: `string`
        - Pattern: `^\/.*`
    - `param` (optional):
      - Type: `string`
        - Maximum length: `160`
        - Minimum length: `1`
    - `request_id` (required):
      - Type: `string<uuid>`
        - Format: `uuid`
        - Pattern: `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-7[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$`
    - `required_credit_usd` (optional):
      - Type: `string`
        - Pattern: `^(?:0|[1-9]\d*)\.\d{2,6}$`
    - `retryable` (required):
      - Type: `boolean`
    - `status` (required):
      - Type: `integer`
        - Maximum: `599`
        - Minimum: `400`
    - `title` (required):
      - Type: `string`
        - Maximum length: `120`
        - Minimum length: `1`
    - `top_up_url` (optional):
      - Type: `string<uri>`
        - Format: `uri`
        - Maximum length: `2048`
    - `type` (required):
      - Type: `string<uri>`
        - Format: `uri`
        - Maximum length: `2048`

### 404

The requested resource does not exist or is not available to this organisation.

This response uses [Problem Details](/reference/problem-details).

#### Headers

##### `traceparent`

`string` · required

W3C trace context generated for this request attempt.

- Type: `string`
  - Pattern: `^00-[0-9a-f]{32}-[0-9a-f]{16}-[0-9a-f]{2}$`

##### `X-Request-Id`

`string<uuid>` · required

Unique UUIDv7 identifier for this request attempt.

- Type: `string<uuid>`
  - Format: `uuid`

#### application/problem+json

Errors follow [Problem Details](/reference/problem-details).

- Type: `ProblemDetails`
  - Component: [`ProblemDetails`](/reference/problem-details)
  - Additional properties: `forbidden`
  - Properties:
    - `available_credit_usd` (optional):
      - Type: `string`
        - Pattern: `^(?:0|[1-9]\d*)\.\d{2,6}$`
    - `code` (required):
      - Type: `string`
        - Maximum length: `80`
        - Minimum length: `1`
    - `detail` (required):
      - Type: `string`
        - Maximum length: `1000`
        - Minimum length: `1`
    - `errors` (optional):
      - Type: `object[]`
        - Maximum items: `100`
        - Items:
          - Type: `object`
            - Additional properties: `forbidden`
            - Properties:
              - `code` (required):
                - Type: `string`
                  - Maximum length: `80`
                  - Minimum length: `1`
              - `message` (required):
                - Type: `string`
                  - Maximum length: `500`
                  - Minimum length: `1`
              - `pointer` (required):
                - Type: `string`
                  - Pattern: `^\/.*`
    - `instance` (required):
      - Type: `string`
        - Pattern: `^\/.*`
    - `param` (optional):
      - Type: `string`
        - Maximum length: `160`
        - Minimum length: `1`
    - `request_id` (required):
      - Type: `string<uuid>`
        - Format: `uuid`
        - Pattern: `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-7[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$`
    - `required_credit_usd` (optional):
      - Type: `string`
        - Pattern: `^(?:0|[1-9]\d*)\.\d{2,6}$`
    - `retryable` (required):
      - Type: `boolean`
    - `status` (required):
      - Type: `integer`
        - Maximum: `599`
        - Minimum: `400`
    - `title` (required):
      - Type: `string`
        - Maximum length: `120`
        - Minimum length: `1`
    - `top_up_url` (optional):
      - Type: `string<uri>`
        - Format: `uri`
        - Maximum length: `2048`
    - `type` (required):
      - Type: `string<uri>`
        - Format: `uri`
        - Maximum length: `2048`

### 408

The server did not complete the request in time. This failure is non-billable and may be retried.

This response uses [Problem Details](/reference/problem-details).

#### Headers

##### `Retry-After`

`integer` · optional

Minimum number of seconds before retrying when supplied.

- Type: `integer`
  - Minimum: `0`

##### `traceparent`

`string` · required

W3C trace context generated for this request attempt.

- Type: `string`
  - Pattern: `^00-[0-9a-f]{32}-[0-9a-f]{16}-[0-9a-f]{2}$`

##### `X-Request-Id`

`string<uuid>` · required

Unique UUIDv7 identifier for this request attempt.

- Type: `string<uuid>`
  - Format: `uuid`

#### application/problem+json

Errors follow [Problem Details](/reference/problem-details).

- Type: `ProblemDetails`
  - Component: [`ProblemDetails`](/reference/problem-details)
  - Additional properties: `forbidden`
  - Properties:
    - `available_credit_usd` (optional):
      - Type: `string`
        - Pattern: `^(?:0|[1-9]\d*)\.\d{2,6}$`
    - `code` (required):
      - Type: `string`
        - Maximum length: `80`
        - Minimum length: `1`
    - `detail` (required):
      - Type: `string`
        - Maximum length: `1000`
        - Minimum length: `1`
    - `errors` (optional):
      - Type: `object[]`
        - Maximum items: `100`
        - Items:
          - Type: `object`
            - Additional properties: `forbidden`
            - Properties:
              - `code` (required):
                - Type: `string`
                  - Maximum length: `80`
                  - Minimum length: `1`
              - `message` (required):
                - Type: `string`
                  - Maximum length: `500`
                  - Minimum length: `1`
              - `pointer` (required):
                - Type: `string`
                  - Pattern: `^\/.*`
    - `instance` (required):
      - Type: `string`
        - Pattern: `^\/.*`
    - `param` (optional):
      - Type: `string`
        - Maximum length: `160`
        - Minimum length: `1`
    - `request_id` (required):
      - Type: `string<uuid>`
        - Format: `uuid`
        - Pattern: `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-7[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$`
    - `required_credit_usd` (optional):
      - Type: `string`
        - Pattern: `^(?:0|[1-9]\d*)\.\d{2,6}$`
    - `retryable` (required):
      - Type: `boolean`
    - `status` (required):
      - Type: `integer`
        - Maximum: `599`
        - Minimum: `400`
    - `title` (required):
      - Type: `string`
        - Maximum length: `120`
        - Minimum length: `1`
    - `top_up_url` (optional):
      - Type: `string<uri>`
        - Format: `uri`
        - Maximum length: `2048`
    - `type` (required):
      - Type: `string<uri>`
        - Format: `uri`
        - Maximum length: `2048`

### 429

The organisation request rate was exceeded. Retry after the indicated delay.

This response uses [Problem Details](/reference/problem-details).

#### Headers

##### `Retry-After`

`integer` · optional

Minimum number of seconds before retrying when supplied.

- Type: `integer`
  - Minimum: `0`

##### `traceparent`

`string` · required

W3C trace context generated for this request attempt.

- Type: `string`
  - Pattern: `^00-[0-9a-f]{32}-[0-9a-f]{16}-[0-9a-f]{2}$`

##### `X-Request-Id`

`string<uuid>` · required

Unique UUIDv7 identifier for this request attempt.

- Type: `string<uuid>`
  - Format: `uuid`

#### application/problem+json

Errors follow [Problem Details](/reference/problem-details).

- Type: `ProblemDetails`
  - Component: [`ProblemDetails`](/reference/problem-details)
  - Additional properties: `forbidden`
  - Properties:
    - `available_credit_usd` (optional):
      - Type: `string`
        - Pattern: `^(?:0|[1-9]\d*)\.\d{2,6}$`
    - `code` (required):
      - Type: `string`
        - Maximum length: `80`
        - Minimum length: `1`
    - `detail` (required):
      - Type: `string`
        - Maximum length: `1000`
        - Minimum length: `1`
    - `errors` (optional):
      - Type: `object[]`
        - Maximum items: `100`
        - Items:
          - Type: `object`
            - Additional properties: `forbidden`
            - Properties:
              - `code` (required):
                - Type: `string`
                  - Maximum length: `80`
                  - Minimum length: `1`
              - `message` (required):
                - Type: `string`
                  - Maximum length: `500`
                  - Minimum length: `1`
              - `pointer` (required):
                - Type: `string`
                  - Pattern: `^\/.*`
    - `instance` (required):
      - Type: `string`
        - Pattern: `^\/.*`
    - `param` (optional):
      - Type: `string`
        - Maximum length: `160`
        - Minimum length: `1`
    - `request_id` (required):
      - Type: `string<uuid>`
        - Format: `uuid`
        - Pattern: `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-7[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$`
    - `required_credit_usd` (optional):
      - Type: `string`
        - Pattern: `^(?:0|[1-9]\d*)\.\d{2,6}$`
    - `retryable` (required):
      - Type: `boolean`
    - `status` (required):
      - Type: `integer`
        - Maximum: `599`
        - Minimum: `400`
    - `title` (required):
      - Type: `string`
        - Maximum length: `120`
        - Minimum length: `1`
    - `top_up_url` (optional):
      - Type: `string<uri>`
        - Format: `uri`
        - Maximum length: `2048`
    - `type` (required):
      - Type: `string<uri>`
        - Format: `uri`
        - Maximum length: `2048`

### 503

The service or durable usage settlement is temporarily unavailable. This failure is non-billable.

This response uses [Problem Details](/reference/problem-details).

#### Headers

##### `Retry-After`

`integer` · optional

Minimum number of seconds before retrying when supplied.

- Type: `integer`
  - Minimum: `0`

##### `traceparent`

`string` · required

W3C trace context generated for this request attempt.

- Type: `string`
  - Pattern: `^00-[0-9a-f]{32}-[0-9a-f]{16}-[0-9a-f]{2}$`

##### `X-Request-Id`

`string<uuid>` · required

Unique UUIDv7 identifier for this request attempt.

- Type: `string<uuid>`
  - Format: `uuid`

#### application/problem+json

Errors follow [Problem Details](/reference/problem-details).

- Type: `ProblemDetails`
  - Component: [`ProblemDetails`](/reference/problem-details)
  - Additional properties: `forbidden`
  - Properties:
    - `available_credit_usd` (optional):
      - Type: `string`
        - Pattern: `^(?:0|[1-9]\d*)\.\d{2,6}$`
    - `code` (required):
      - Type: `string`
        - Maximum length: `80`
        - Minimum length: `1`
    - `detail` (required):
      - Type: `string`
        - Maximum length: `1000`
        - Minimum length: `1`
    - `errors` (optional):
      - Type: `object[]`
        - Maximum items: `100`
        - Items:
          - Type: `object`
            - Additional properties: `forbidden`
            - Properties:
              - `code` (required):
                - Type: `string`
                  - Maximum length: `80`
                  - Minimum length: `1`
              - `message` (required):
                - Type: `string`
                  - Maximum length: `500`
                  - Minimum length: `1`
              - `pointer` (required):
                - Type: `string`
                  - Pattern: `^\/.*`
    - `instance` (required):
      - Type: `string`
        - Pattern: `^\/.*`
    - `param` (optional):
      - Type: `string`
        - Maximum length: `160`
        - Minimum length: `1`
    - `request_id` (required):
      - Type: `string<uuid>`
        - Format: `uuid`
        - Pattern: `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-7[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$`
    - `required_credit_usd` (optional):
      - Type: `string`
        - Pattern: `^(?:0|[1-9]\d*)\.\d{2,6}$`
    - `retryable` (required):
      - Type: `boolean`
    - `status` (required):
      - Type: `integer`
        - Maximum: `599`
        - Minimum: `400`
    - `title` (required):
      - Type: `string`
        - Maximum length: `120`
        - Minimum length: `1`
    - `top_up_url` (optional):
      - Type: `string<uri>`
        - Format: `uri`
        - Maximum length: `2048`
    - `type` (required):
      - Type: `string<uri>`
        - Format: `uri`
        - Maximum length: `2048`

### Charging metadata

- Count path: `.`
- Meter: `job_resource`
- Model: `returned_resource`
- Resource: `job`
